#include <iostream>
using namespace std;
int main()
{
  long int n,x;
  long int i;
  cin>>n>>x;
  long int a[n];
  for (i=0 ; i<n ; i++)
  {
    cin>>a[i];
  }
  long int maxi=a[0];
  for (i=1 ; i<n ; i++)
  {
    if (maxi<a[i])
    {
       maxi=a[i];
    }
    
  }
  long int mini=a[0];
  for (i=1 ; i<n ; i++)
  {
    if (mini>a[i])
    {
       mini=a[i];
    }
    
  }
  long int uk;
  long int rmax,rmin;
  rmax=maxi-x;
  rmin=x-mini;
  if (rmax==rmin && x>mini && x<maxi)
  {
    uk=(maxi-x)+(maxi-mini);
  }
  if (rmax>rmin && x>mini && x<maxi)
  {
    uk=(x-mini)+(maxi-mini);
  }
  if (rmin>rmax && x>mini && x<maxi)
  {
    uk=(maxi-x)+(maxi-mini);
  }
  if (x<mini)
  {
    uk=maxi-x;
  }
  if (x>maxi)
  {
    uk=x-mini;
  }
  cout<<uk;

    return 0;
}